Subject: Re: [SIP] Questions on Figure 11 of RFC2543bis

From: Henning Schulzrinne <[email-masked]>
Date: Sat, 01 Jul 2000 13:57:11 -0400

> Ajay Chitturi wrote:
> 
> In this diagram does "give up" mean the caller gave up and hung
> up the call or that the state machine gave up ?

This diagram is also a remnant of mixing transaction and call state.
Since BYE and INVITE are separate transactions, you'd have to, strictly
speaking, send a CANCEL when giving up, wait for the 487 response, in
addition to a separate BYE transaction. However, this is not necessary,
since the UAS will generate a 487 when it receives a BYE, cleaning out
the INVITE transaction. The state diagram will reflect this in the next
edition.

> 
> Since there is another arrow from the "Calling" state showing
> "7 INVITE sent", I assume the arrow to the right of "Calling" state
> happens when the user hangs up. In this case shouldn't the state
> machine
> wait for the response to INVITE and send an ACK ?
> 
> The arrow to the right of "Call Proceeding" state could happen if
> either
> the caller hangs up or the state machine hangs up. Is the timeout for
> when
> the state machine will give up in this state specified in the draft or
> left
> to the implementation. If the user hangs up, shouldn't the state
> machine
> wait for the response to INVITE and send an ACK ?
> 
> Also section 4.2.4 states :
>    A BYE request from either called or calling party terminates any
>    pending INVITE, but the INVITE request transaction MUST be
> completed
>    with a final response.
> 
> Does this mean that the ACK also needs to be sent after getting
> the response ?

Yes; see above.

> Thanks
> Ajay.

-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip